// ignore_for_file: avoid_print
import 'dart:io';

import 'package:ansicolor/ansicolor.dart';
import 'package:flutter/material.dart';
import 'package:path_provider/path_provider.dart';

void printError(String error) {
  AnsiPen pen = AnsiPen()..red();
  print(pen('[ERROR]: $error'));
}

void printWarning(String error) {
  AnsiPen pen = AnsiPen()..yellow();
  print(pen('[WARNING]: $error'));
}

Future<String?> getDocPath() async {
  Directory? documents;
  if (Platform.isIOS) {
    documents = await getApplicationDocumentsDirectory();
  }
  if (Platform.isAndroid) {
    documents = await getExternalStorageDirectory();
  }
  return documents!.path;
}

vspace(double? size) {
  return SizedBox(
    height: size,
  );
}

hspace(double? size) {
  return SizedBox(
    width: size,
  );
}

Widget keyboardSave(BuildContext context) {
  return vspace(MediaQuery.of(context).viewInsets.bottom);
}
